Subject: [PATCH v3 2/5] ARM: bcm4760: Add platform infrastructure

From: [email-masked] (Domenico Andreoli)
Date: Tue, 10 Sep 2013 18:16:34 +0200

On Fri, Aug 30, 2013 at 02:58:58PM -0700, Olof Johansson wrote:
> On Fri, Aug 30, 2013 at 2:52 PM, Christian Daudt <[email-masked]> wrote:
> > On 13-08-30 12:53 AM, Domenico Andreoli wrote:
> >>>>
> >>>> Index: b/arch/arm/mach-bcm/Kconfig
> >>>> ===================================================================
> >>>> --- a/arch/arm/mach-bcm/Kconfig
> >>>> +++ b/arch/arm/mach-bcm/Kconfig
> >>>> @@ -17,3 +17,10 @@ config ARCH_BCM
> >>>>           It currently supports the 'BCM281XX' family, which includes
> >>>>           BCM11130, BCM11140, BCM11351, BCM28145 and
> >>>>           BCM28155 variants.
> >>>> +
> >>>> +config ARCH_BCM4760
> >>>> +       bool "Broadcom BCM4760 based SoCs (ARM11)" if ARCH_MULTI_V6
> >>>> +       select ARM_AMBA
> >>>> +       select ARM_VIC
> >>>> +       select CLKSRC_OF
> >>>> +       select SOC_BUS
> >>>
> >>> So I think I mentioned this during previous discussions, but I think this
> >>> should be solved by having:
> >>>
> >>> config ARCH_BCM
> >>>         bool "Broadcom platforms"
> >>>         help
> >>>           This enables support for Broadcom based systems
> >>>
> >>> menu "Broadcom platform selection"
> >>>         depends on ARCH_BCM
> >>>
> >>> config ARCH_BCM281XX
> >>>         ... current ARCH_BCM contents
> >>>
> >>> config ARCH_BCM4760
> >>>         ... above conents
> >>> endmenu
> >>
> >> got it.
> >>
> >> need to sync with Christian, the current owner of ARCH_BCM.
> >
> > This is fine, but it is better to name it MOBILEBCM instead for our
> > platform, as it plan to keep it single zImage. My plan was to switch the
> > current usage of ARCH_BCM for chips to ARCH_MOBILEBCM, and then leave
> > ARCH_BCM as a generic BCM menu option as above. I can send a patch to that
> > effect if everyone is okay with that.
> 
> Sounds good. Let's do that for 2.13.

Christian, can I assume you will prepare a patch to rename ARCH_BCM or do
you prefer I include it my series, maybe simplifying the merge of it? I'm
fine with both.

Regards,
Domenico